### Description  
This markdown file contains the instructions to access SARS-CoV-2 data associated with Beck et al. "Semi-Supervised Pipeline for Autonomous Annotation of SARS-CoV-2 Genomes". The data at this endpoint contains the tables used in that paper including gene, protein, and domain data.


### Instructions
Please contact Kristen Beck klbeck@us.ibm.com and Ed Seabolt eseabolt@us.ibm.com to receive an API key to access this Cloud Object Store bucket. The API key can then be filled into the login command below.

```
# install ibmcloud cli
https://cloud.ibm.com/docs/cli?topic=cli-getting-started

# login in using the api key
ibmcloud login --apikey <fill_your_api_key_here> -r us-south

# list objects in the bucket as json or text
ibmcloud cos objects --bucket com.ibm.functional-genomics-platform.1.0.0-sars-cov-2 --output json
ibmcloud cos objects --bucket com.ibm.functional-genomics-platform.1.0.0-sars-cov-2 --output text

# retrieve data from the bucket
ibmcloud cos object-get --bucket com.ibm.functional-genomics-platform.1.0.0-sars-cov-2 --key <remote object> <output file>
```

Data can be viewed as CSV or parquet with `parquet-tools` installed via homebrew or `parquet-cli` installed via pip.

